#ifndef CONFIG_H
#define CONFIG_H
#define MAXDIRLEN 256
#define MAXPHPLEN 100
#include <libxml/parser.h>
#include "data.h"

class Config {
  private:
    void parsefile ();
    void checkforconfig ();
    
  protected:
  public:
    Config ();
    ~Config ();
    
    // Hier kommen die einzelnen Variablen die im Config file stehen knnen
    char *wwwdir;
    char *logdir;
    char *phpname;
    char *imgdir;
    char *xmlfile;	// Das xml Daten File
    char *xslfile1;	// Das bersichts File
    char *xslfile2;	// Das Domain-View File
    char *pfile; 	// Die basis palette
    char *vdomains;
    char *servertype;
    char *loguser;	// Der user der bei queue_extra angegeben wurde
    LDomains *ldWurzel;
};

#endif
